# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Namespaces
mv_codec.h File Reference
`#include <libdirac_common/arith_codec.h>`
`#include <libdirac_common/common.h>`
`#include <libdirac_common/motion.h>`
`#include <libdirac_common/wavelet_utils.h>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | dirac::SplitModeCodec
| Codes and decodes the split mode. More...
class | dirac::PredModeCodec
| Codes and decodes the prediction modes. More...
class | dirac::VectorElementCodec
| Codes and decodes an array of motion vectors. More...
class | dirac::DCCodec
| Codes and decodes a set of DC values. More...

## Namespaces
namespace | dirac
| Definition of class SequenceHeaderByteIO.

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.